Start S3 MCAP cloud ingest
curl --request POST \
--url https://api-prod.nomadicml.com/api/mcap/cloud-ingest/s3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration_id": "<string>",
"files": [
{
"key": "<string>",
"filename": "<string>"
}
],
"folder_id": "<string>",
"chunk_size": 2
}
'import requests
url = "https://api-prod.nomadicml.com/api/mcap/cloud-ingest/s3"
payload = {
"integration_id": "<string>",
"files": [
{
"key": "<string>",
"filename": "<string>"
}
],
"folder_id": "<string>",
"chunk_size": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration_id: '<string>',
files: [{key: '<string>', filename: '<string>'}],
folder_id: '<string>',
chunk_size: 2
})
};
fetch('https://api-prod.nomadicml.com/api/mcap/cloud-ingest/s3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcap_import_job_id": "<string>",
"status": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}MCAP
Start S3 MCAP cloud ingest
Start MCAP ingest from an existing S3 integration.
POST
/
api
/
mcap
/
cloud-ingest
/
s3
Start S3 MCAP cloud ingest
Authorizations
bearerAuthapiKeyAuth
Use Authorization: Bearer <NOMADIC_API_KEY>.
Body
application/json
Was this page helpful?
⌘I